headless lms

Publish a post that awaits review in a space you moderate

POST /api/member/posts/{postId}/approval. Publish a post that awaits review in a space you moderate. Headless LMS Posts API reference.

POST
/api/member/posts/{postId}/approval

For a moderator who can open the space. 409 when the post is not awaiting review.

Path Parameters

postId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/posts/string/approval"
{  "orgId": "string",  "id": "string",  "communityId": "string",  "spaceId": "string",  "orgUserId": "string",  "topicId": "string",  "title": "string",  "body": "string",  "extra": null,  "coverAssetId": "string",  "status": "draft",  "scheduledAt": "2019-08-24T14:15:22Z",  "publishedAt": "2019-08-24T14:15:22Z",  "removedBy": "string",  "pinned": true,  "commentsClosed": true,  "reactionsEnabled": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "coverUrl": "string",  "author": {    "id": "string",    "firstName": "string",    "lastName": "string",    "displayName": "string",    "headline": "string",    "image": "string",    "imageAssetId": "string",    "imageUrl": "string",    "role": "owner"  },  "reactions": {    "property1": 0,    "property2": 0  },  "viewerReaction": "string",  "commentCount": 0,  "following": true,  "bookmarked": true}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}